Notifications
Clear all

CARLSON TEXT

10 Posts
5 Users
0 Reactions
4 Views
(@djames)
Posts: 851
Registered
Topic starter
 

Carlson stand alone 2012 intellicad . Current text style will not hold the size . it keeps setting itself back to 0 . Anyone know why . I recall 2010 standalone autocad did the same thing so it may be a Carlson thing . pain in the arse.

 
Posted : January 16, 2012 6:36 am
(@pin-cushion)
Posts: 476
Registered
 

edit... I misunderstood the question and my LISP is not what you need.

If the text size is zero then you have to manually enter the height, and that does suck.

 
Posted : January 16, 2012 6:57 am
(@davidalee)
Posts: 1121
Registered
 

That happens to me sometimes. Not sure if it's just a glitch or what, but if I close Carlson and open the drawing back up it's usually correct. I'm not running the same version though, I am running Carson 2009/AutoCAD 2004.

 
Posted : January 16, 2012 6:58 am
(@djames)
Posts: 851
Registered
Topic starter
 

If I use set the current text style to say 2.4 for a 30 scale drawing , It sets itself back to 0 while i am working in the drawing . so when i go back to using text command it not holding 2.4 . Seems that once it is set it should never reset unless i set it to another value .

While we are talking lisp , I just finished one that will label structures for inverts . so basically it ask to pick a node point at the structure and then it ask you for the inverts , then labels the structure with top and inverts real time saver on topos .

 
Posted : January 16, 2012 8:09 am
(@djames)
Posts: 851
Registered
Topic starter
 

(defun C:MH ()
(setq pnt (getpoint "n Pick Structure :"))
(setq el (caddr pnt))
(setq in1 (getreal " n Enter Inv. in1: " ))
(setq in2 (getreal " n Enter Inv. in2: " ))
(setq out1 (getreal " n Enter Inv. out: " ))
(setq in (- el in1))
(setq in3 (- el in2))
(setq out (- el out1))
(command "TEXT" (getpoint) "2.4" "0" (strcat "TOP = " (rtos el 2 2)))
(command "TEXT" "" (strcat "IN 1 = " (rtos in 2 2)))
(command "TEXT" "" (strcat "IN 2 = " (rtos in3 2 2)))
(command "TEXT" "" (strcat "OUT = " (rtos out 2 2)))
)

If you can make it better repost it .

 
Posted : January 16, 2012 8:45 am
(@pin-cushion)
Posts: 476
Registered
 

THIS MAKES LEROY STANDARD TEXT STYLES IN ANY DRAWING SCALE

(DEFUN C:LEROY ()
graphscr
(setvar "cmdecho" 0)
(setvar "userr5" 1)
(setvar "USERR4" (* 1 (getvar "DIMSCALE")))
(setq stname "L80")
(setq scl_fact (getvar "dimscale"))
(command "-style" "L80" "ic-simplex" (* 0.080 scl_fact) "1" "0" "n" "n" "n" )(princ)
(setvar "textstyle" stname)
(setvar "userr5" 1)
(setvar "USERR4" (* 1 (getvar "DIMSCALE")))
(setvar "luprec" 2)
(setq scl_fact (getvar "dimscale"))
(command "textstyle" "L80")
(setq stname (getvar "textstyle"))(princ)
(setvar "textsize" (* 0.080 scl_fact))
(setq stname (getvar "textstyle"))(princ)
(command "-style" "Standard" "ic-simplex" (* 1.000 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "L10" "ic-simplex" (* 0.010 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L20" "ic-simplex" (* 0.020 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L30" "ic-simplex" (* 0.030 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L40" "ic-simplex" (* 0.040 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L50" "ic-simplex" (* 0.050 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L60" "ic-simplex" (* 0.060 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L100" "ic-simplex" (* 0.100 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L120" "ic-simplex" (* 0.120 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L140" "ic-simplex" (* 0.140 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L200" "ic-simplex" (* 0.200 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "L400" "ic-simplex" (* 0.040 scl_fact) "1" "0" "n" "n" "n" )(princ)
(command "-style" "Line" "ic-simplex" (* 1.000 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "PL100" "ic-simplex" (* 0.100 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "PL120" "ic-simplex" (* 0.120 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "PL140" "ic-simplex" (* 0.140 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "PL200" "ic-simplex" (* 0.200 1.000) "1" "0" "n" "n" "n")(princ)
(command "-style" "PL80" "ic-simplex" (* 0.080 1.000) "1" "0" "n" "n" "n")(princ)
(setvar "textstyle" stname)
graphscr
(setvar "cmdecho" 1)
(princ)

)

 
Posted : January 16, 2012 2:06 pm
(@navaran)
Posts: 75
Registered
 

Use SSWR-17.dwg or SSWR-18.dwg or SSWR-19.dwg that exists in SupTemplate of Carlson Software - to label MHNAME, MHTOP, MH_INVIN and MH_INVOUT.

 
Posted : January 17, 2012 4:55 am
(@djames)
Posts: 851
Registered
Topic starter
 

The lisp routine does the math for the inverts and labels the top and inverts .
not just a label

 
Posted : January 17, 2012 1:01 pm
(@cptdent)
Posts: 2089
Registered
 

The easiest way to do invert labels on pipes, etc. is to actually shoot the inverts in the field and then use your Field To Finish settings to add ALL of your labels when you run Field To Finish. This way you have to do no math or worry about that invert sketch being correctly oriented. Your end result can be the top elevation, the invert of each pipe and the pipe type and size all as separate text labels.
This is one case where a LISP routine is not the final answer. Carlson has given you a better tool already. All labels are applied in the few minutes that it takes to run Field To Finish.

 
Posted : January 18, 2012 5:50 am
(@pin-cushion)
Posts: 476
Registered
 

CARLSON TEXT -- djames

THAT LSP DOESN'T WORK FOR ME... WISH IT DID.

 
Posted : January 20, 2012 9:23 am